package com.zd.laboratory.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zd.laboratory.mapper.LabNegativeListSiteMapper;
import com.zd.laboratory.domain.LabNegativeListSite;
import com.zd.laboratory.service.ILabNegativeListSiteService;

/**
 * 负面清单设置Service业务层处理
 * 
 * @author zd
 * @date 2021-12-14
 */
@Service
public class LabNegativeListSiteServiceImpl implements ILabNegativeListSiteService 
{
    @Autowired
    private LabNegativeListSiteMapper labNegativeListSiteMapper;

    /**
     * 查询负面清单设置
     * 
     * @param id 负面清单设置主键
     * @return 负面清单设置
     */
    @Override
    public LabNegativeListSite selectLabNegativeListSiteById(Long id)
    {
        return labNegativeListSiteMapper.selectLabNegativeListSiteById(id);
    }

    /**
     * 查询负面清单设置列表
     * 
     * @param labNegativeListSite 负面清单设置
     * @return 负面清单设置
     */
    @Override
    public List<LabNegativeListSite> selectLabNegativeListSiteList(LabNegativeListSite labNegativeListSite)
    {
        return labNegativeListSiteMapper.selectLabNegativeListSiteList(labNegativeListSite);
    }

    /**
     * 新增负面清单设置
     * 
     * @param labNegativeListSite 负面清单设置
     * @return 结果
     */
    @Override
    public int insertLabNegativeListSite(LabNegativeListSite labNegativeListSite)
    {
        return labNegativeListSiteMapper.insertLabNegativeListSite(labNegativeListSite);
    }

    /**
     * 修改负面清单设置
     * 
     * @param labNegativeListSite 负面清单设置
     * @return 结果
     */
    @Override
    public int updateLabNegativeListSite(LabNegativeListSite labNegativeListSite)
    {
        return labNegativeListSiteMapper.updateLabNegativeListSite(labNegativeListSite);
    }

    /**
     * 批量删除负面清单设置
     * 
     * @param ids 需要删除的负面清单设置主键
     * @return 结果
     */
    @Override
    public int deleteLabNegativeListSiteByIds(Long[] ids)
    {
        return labNegativeListSiteMapper.deleteLabNegativeListSiteByIds(ids);
    }

    /**
     * 删除负面清单设置信息
     * 
     * @param id 负面清单设置主键
     * @return 结果
     */
    @Override
    public int deleteLabNegativeListSiteById(Long id)
    {
        return labNegativeListSiteMapper.deleteLabNegativeListSiteById(id);
    }
}
